// app/router.options.ts
import type { RouterConfig } from "@nuxt/schema"

export default <RouterConfig> {
  routes: async (routes) => {
    // 静态别名
    const staticAliases = [
      {
        path: '/tieshenbaobei138/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 138, 
          routeName: '贴身宝贝'
        }
      },
      {
        path: '/xinnongcun11/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 11, 
          routeName: '新农村'
        }
      },
      {
        path: '/nongmingong317/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 317, 
          routeName: '农民工'
        }
      },
      {
        path: '/zhengcefagui1/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 1, 
          routeName: '政策法规'
        }
      },
      {
        path: '/sannongzhichuang2/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 2, 
          routeName: '三农之窗'
        }
      },
      {
        path: '/quyujingji5/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 5, 
          routeName: '区域经济'
        }
      },
      {
        path: '/sannongtouzi12/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 12, 
          routeName: '三农投资'
        }
      },
      {
        path: '/nongmaozixun13/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 13, 
          routeName: '农贸资讯'
        }
      },
      {
        path: '/sannongkejiao14/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 14, 
          routeName: '三农科教'
        }
      },
      {
        path: '/wenhuashenghuo15/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 15, 
          routeName: '文化生活'
        }
      },
      {
        path: '/sannongtansuo16/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 16, 
          routeName: '三农探索'
        }
      },
      {
        path: '/sannongrenwu18/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 18, 
          routeName: '三农人物'
        }
      },
      {
        path: '/xiezuodaquan150/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 150, 
          routeName: '写作大全'
        }
      },
      {
        path: '/zhaogongzhaopin20/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 20, 
          routeName: '招工招聘'
        }
      },
      {
        path: '/nongzigouxiao21/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 21, 
          routeName: '农资购销'
        }
      },
      {
        path: '/nongchangouxiao153/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 153, 
          routeName: '农产购销'
        }
      },
      {
        path: '/zhifuxinxi23/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 23, 
          routeName: '致富信息'
        }
      },
      {
        path: '/shukanxinxi24/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 24, 
          routeName: '书刊信息'
        }
      },
      {
        path: '/nongwangdaohang25/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 25, 
          routeName: '农网导航'
        }
      },
      {
        path: '/dajiaweiquan26/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 26, 
          routeName: '打假维权'
        }
      },
      {
        path: '/sannongfuwu27/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 27, 
          routeName: '三农服务'
        }
      },
      {
        path: '/sannongdiaocha28/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 28, 
          routeName: '三农调查'
        }
      },
      {
        path: '/sannongluntan29/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 29, 
          routeName: '三农论坛'
        }
      },
      {
        path: '/sannongneican30/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 30, 
          routeName: '三农内参'
        }
      },
      {
        path: '/nongyekepu300/',
        component: () => import('~/pages/primaryNavigation/[id].vue'),
        meta: { 
          isAlias: true, 
          routeId: 300, 
          routeName: '农业科普'
        }
      }
    ]


    return [
      ...routes,
      ...staticAliases,
    ]
  }
}